app-id: net.zdechov.app.vCardStudio
runtime: org.kde.Platform
runtime-version: '5.15-23.08'
sdk: org.kde.Sdk
sdk-extensions:
  - org.freedesktop.Sdk.Extension.freepascal
command: vCardStudio
finish-args:
  - --share=ipc
  - --socket=fallback-x11
  - --socket=wayland
  - --device=dri
modules:
  - name: qt5pas
    buildsystem: qmake
    config-opts:
      - -after
      - target.path=/app/lib
    sources:
      - type: shell
        commands:
          - cp -r /usr/lib/sdk/freepascal/share/lazarus/lcl/interfaces/qt5/cbindings/. .
  - name: vCardStudio
    sources:
      - type: svn
        url: https://svn.zdechov.net/vcard-studio/trunk
        revision: r184
    buildsystem: simple
    build-commands:
      - |
        . /usr/lib/sdk/freepascal/enable.sh
        lazbuild --build-mode=Release --ws=qt5 vCardStudio.lpi
      - install -Dm755 vCardStudio -t $FLATPAK_DEST/share/vCardStudio
      - install -d $FLATPAK_DEST/bin
      - ln -s $FLATPAK_DEST/share/vCardStudio/vCardStudio $FLATPAK_DEST/bin/vCardStudio
      - install -Dm644 Install/flatpak/${FLATPAK_ID}.desktop -t $FLATPAK_DEST/share/applications
      - install -Dm644 "Images/vCard Studio.png" $FLATPAK_DEST/share/icons/hicolor/256x256/apps/${FLATPAK_ID}.png
      - install -Dm644 Languages/*.po -t $FLATPAK_DEST/share/vCardStudio/Languages
      - install -Dm644 Packages/Common/Languages/*.po -t $FLATPAK_DEST/share/vCardStudio/Languages
      - install -Dm644 Packages/VCard/Languages/*.po -t $FLATPAK_DEST/share/vCardStudio/Languages
      - install -Dm644 Install/flatpak/${FLATPAK_ID}.appdata.xml $FLATPAK_DEST/share/metainfo/${FLATPAK_ID}.metainfo.xml
